<?php

namespace App\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\Routing\Attribute\Route;
use App\Entity\GeoImage;
use Doctrine\ORM\EntityManagerInterface;

class GeoImageController extends AbstractController
{
    #[Route('/geoimage', name: 'app_geo_image')]
    public function index(EntityManagerInterface $em): JsonResponse
    {
        $repo = $em->getRepository(GeoImage::class);
        $geoImages = $repo->findAllWithGeometry();

        return $this->json($geoImages);
    }
}
